Subject: bug#33605: closed (Re: [PATCH] gnu: Add a C++14 variant of Boost for packages that need it.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Dec 2018 00:48:02 +0000

Your bug report

#33605: "Boost 1.68.0 seems to require C++14 for libboost_system"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33605: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33605
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: Add a C++14 variant of Boost for packages that need it.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 7 Dec 2018 19:47:30 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as b9103c827c605dee32baf62816a0429543b3e451

Subject: ncmpcpp fails to build with Boost 1.68.0
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 3 Dec 2018 19:27:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Since the core-updates merge, ncmpcpp is failing to build during its
configure phase:

------
starting phase `configure'
source directory: "/tmp/guix-build-ncmpcpp-0.8.2.drv-0/ncmpcpp-0.8.2" (relative from build: ".")
build directory: "/tmp/guix-build-ncmpcpp-0.8.2.drv-0/ncmpcpp-0.8.2"
configure flags: ("CONFIG_SHELL=/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash" "SHELL=/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash" "--prefix=/gnu/store/anhg2l53c15ipiwnvbcg7rjfdg1ml68q-ncmpcpp-0.8.2" "--enable-fast-install" "--build=x86_64-unknown-linux-gnu" "LIBS=-L/gnu/store/k8djbb701a48k310kpkf3vpic4d1jyz5-boost-1.68.0/lib -lboost" "CFLAGS=-I/gnu/store/k8djbb701a48k310kpkf3vpic4d1jyz5-boost-1.68.0/include")
checking for a BSD-compatible install... /gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking whether make supports nested variables... yes
checking for g++... g++
checking whether the C++ compiler works... no
configure: error: in `/tmp/guix-build-ncmpcpp-0.8.2.drv-0/ncmpcpp-0.8.2':
configure: error: C++ compiler cannot create executables
See `config.log' for more details
Backtrace:
           4 (primitive-load "/gnu/store/yrxl18dp9j89iz0013f7x9jva02…")
In ice-9/eval.scm:
   191:35  3 (_ _)
In srfi/srfi-1.scm:
   863:16  2 (every1 #<procedure 73a8a0 at /gnu/store/gfprsx2m62cvq…> …)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/gnu-build-system.scm:
   799:28  1 (_ _)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/utils.scm:
    616:6  0 (invoke _ . _)

/gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/utils.scm:616:6: In procedure invoke:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash" arguments: ("./configure" "CONFIG_SHELL=/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash" "SHELL=/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash" "--prefix=/gnu/store/anhg2l53c15ipiwnvbcg7rjfdg1ml68q-ncmpcpp-0.8.2" "--enable-fast-install" "--build=x86_64-unknown-linux-gnu" "LIBS=-L/gnu/store/k8djbb701a48k310kpkf3vpic4d1jyz5-boost-1.68.0/lib -lboost" "CFLAGS=-I/gnu/store/k8djbb701a48k310kpkf3vpic4d1jyz5-boost-1.68.0/include") exit-status: 77 term-signal: #f stop-signal: #f] 491fc0>)'.
builder for `/gnu/store/xnypbkav5wnqnjh8dxslcw6a2f8m6pmf-ncmpcpp-0.8.2.drv' failed with exit code 1
build of /gnu/store/xnypbkav5wnqnjh8dxslcw6a2f8m6pmf-ncmpcpp-0.8.2.drv failed
------

I assume the failure is related to the Boost upgrade from 1.66.0 to
1.68.0, but I haven't confirmed that yet.